# source: https://social.technet.microsoft.com/Forums/en-US/bf4ee74e-8f78-4ee1-8f61-b7339a5f3bf0/windows-10-1809-snmp-adding-from-the-command-line
#
# If powershell prevents you from running this file, 
# saying that execution is disabled on this system,
#
#  Option 1:
# start a cmd window with administrator privileges,
# type PowerShell followed by an Enter,
# and at the PowerShell prompt, issue this command:
#   Set-ExecutionPolicy Unrestricted
# Note that this decreases your security somewhat :-/
# Then, you should be able to run this script simply by
#  C:\> PowerShell .\snmp.ps1
# or
#  PS C:\> .\snmp.ps1
#
#  Option 2:
# Just copy the lines below to clipboard and paste into the
# interactive PowerShell interpreter.



if (!(Test-Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate'))
{
	echo "creating key HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate"
	Set-Location -Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\'
	Get-Item -Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\' | New-Item -Name 'WindowsUpdate' -Force
}

if (!(Test-Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU'))
{
	echo "creating key HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU"
	Set-Location -Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\'
	Get-Item -Path 'REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\' | New-Item -Name 'AU' Force
}

Get-WindowsCapability -Online -Name "SNMP*"
Set-ItemProperty "REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU" UseWUserver -value 0
Get-Service wuauserv | Restart-Service
Add-WindowsCapability -Online -Name "SNMP.Client~~~~0.0.1.0"
Set-ItemProperty "REGISTRY::HKLM\Software\Policies\Microsoft\Windows\WindowsUpdate\AU" UseWUserver -value 1
Get-WindowsCapability -Online -Name "SNMP*"

